| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
fsl_orientation_DataBuffer_t Struct Reference
fsl_fusion_virt_3D_orient module documentation

`#include <fsl_fusion_virt_3D_orient.h>`

Collaboration diagram for fsl_orientation_DataBuffer_t:

## Data Fields
isf_timestamp_t | timestamp
float | fPhi
float | fThe
float | fPsi
float | fRho
float | fChi
float | fDelta
float | fRmatrix [3][3]
struct fquaternion | fq
float | fRVec [3]
float | fOmega [3]
float | faSe [3]
float | fHp
float | fTp
float | fAccGl [3]
float | fDisGl [3]
float | fZErr [7]
float | fqgErrPl [3]
float | fbPl [3]
float | fDeltaPl
float | fqmErrPl [3]

## Detailed Description

Definition at line 77 of file fsl_fusion_virt_3D_orient.h.

## Field Documentation

float fAccGl[3]

Definition at line 115 of file fsl_fusion_virt_3D_orient.h.

float faSe[3]

Definition at line 111 of file fsl_fusion_virt_3D_orient.h.

float fbPl[3]

Definition at line 123 of file fsl_fusion_virt_3D_orient.h.

float fChi

Definition at line 102 of file fsl_fusion_virt_3D_orient.h.

float fDelta

Definition at line 103 of file fsl_fusion_virt_3D_orient.h.

float fDeltaPl

Definition at line 124 of file fsl_fusion_virt_3D_orient.h.

float fDisGl[3]

Definition at line 116 of file fsl_fusion_virt_3D_orient.h.

float fHp

Definition at line 112 of file fsl_fusion_virt_3D_orient.h.

float fOmega[3]

Definition at line 109 of file fsl_fusion_virt_3D_orient.h.

float fPhi

Definition at line 98 of file fsl_fusion_virt_3D_orient.h.

float fPsi

Definition at line 100 of file fsl_fusion_virt_3D_orient.h.

struct fquaternion fq

Definition at line 106 of file fsl_fusion_virt_3D_orient.h.

float fqgErrPl[3]

Definition at line 122 of file fsl_fusion_virt_3D_orient.h.

float fqmErrPl[3]

Definition at line 125 of file fsl_fusion_virt_3D_orient.h.

float fRho

Definition at line 101 of file fsl_fusion_virt_3D_orient.h.

float fRmatrix[3][3]

Definition at line 105 of file fsl_fusion_virt_3D_orient.h.

float fRVec[3]

Definition at line 107 of file fsl_fusion_virt_3D_orient.h.

float fThe

Definition at line 99 of file fsl_fusion_virt_3D_orient.h.

float fTp

Definition at line 113 of file fsl_fusion_virt_3D_orient.h.

float fZErr[7]

Definition at line 121 of file fsl_fusion_virt_3D_orient.h.

isf_timestamp_t timestamp

Definition at line 95 of file fsl_fusion_virt_3D_orient.h.

The documentation for this struct was generated from the following file:

- SensorSpecific/fsl_fusion_virt_3D_orient.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.